import request from '@/utils/request'

/**
 * 登录接口
 * @param {string} user_name 用户名
 * @param {string} password 密码
 * @param {number} login_type 登录类型 0：帐号密码登录 1：短信登录 2：微信登录 3：QQ登录
 * @param {number} login_portal 登录入口 0：web 1：app
 * @param phone
 * @param valid_code
 * @returns {*}
 */
export function login(user_name, password, login_type, login_portal,phone,valid_code) {
  return request({
    url: '/api/user/login',
    method: 'post',
    data: {
      user_name,
      password,
      login_type,
      login_portal,
      phone,
      valid_code
    }
  })
}
/**
 * 获取用户信息接口
 * @returns {*}
 */
export function getInfo() {
  return request({
    url: '/api/user/base-account',
    method: 'post',
    params: {}
  })
}
/**
 * 登出接口
 * @returns {*}
 */
export function logout() {
  return request({
    url: '/api/user/logout',
    method: 'post',
    params: {}
  })
}
/**
 * 发送短信接口
 * @param phone
 * @param country_code
 * @returns {*}
 */
export function sendSmsCode(phone,country_code) {
  return request({
    url: '/api/user/get-phone-code',
    method: 'post',
    params: {
      phone,
      country_code
    }
  })
}
/**
 * 发送邮件验证阿门接口
 * @param email
 * @returns {*}
 */
export function sentEmailCode(email) {
  return request({
    url: '/api/user/get-reg-email-code',
    method: 'post',
    params: {
      email
    }
  })
}

/**
 * 注册接口
 * @param email
 * @param phone
 * @param valid_code
 * @param register_type
 * @param country_code
 * @returns {*}
 */
export function  register(email,phone,valid_code,register_type,country_code) {
  return request({
    url: '/api/user/register',
    method: 'post',
    data: {
      email,
      phone,
      valid_code,
      register_type,
      country_code
    }
  })
}
/**
 * 确认邮箱接口
 * @param pre_register_key
 * @param password
 * @param confirm_password
 * @returns {*}
 */
export function  confirmEmail(pre_register_key,password,confirm_password) {
  return request({
    url: '/api/user/confirm-register',
    method: 'post',
    data: {
      pre_register_key,
      password,
      confirm_password
    }
  })
}
